{
  "name": "@eternal-twin/rest-server",
  "version": "0.8.4",
  "homepage": "https://gitlab.com/eternal-twin/etwin",
  "description": "HTTP REST interface for the Eternal-Twin API",
  "repository": {
    "type": "git",
    "url": "git://gitlab.com:eternal-twin/etwin.git"
  },
  "licenses": [
    {
      "type": "AGPL-3.0-or-later",
      "url": "https://spdx.org/licenses/AGPL-3.0-or-later.html"
    }
  ],
  "scripts": {
    "lint": "eslint \"./src/**/*.ts\"",
    "format": "eslint --fix \"./src/**/*.ts\"",
    "build": "tsc --build src/lib/tsconfig.json",
    "prepack": "yarn run build",
    "native:build": "cd ../native && yarn run native:build",
    "test:build": "yarn run native:build && tsc --build src/test/tsconfig.json",
    "test": "yarn run test:build && mocha --experimental-wasm-modules \"test/**/*.spec.js\"",
    "main:build": "yarn run native:build && tsc --build src/main/tsconfig.json",
    "start": "yarn run main:build && node --experimental-wasm-modules main/main.js"
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org/"
  },
  "keywords": [],
  "engines": {
    "node": ">=14.13.1"
  },
  "dependencies": {
    "@eternal-twin/core": "workspace:*",
    "@koa/router": "^10.0.0",
    "@types/auth-header": "^1.0.2",
    "@types/koa": "^2.13.4",
    "@types/koa-bodyparser": "^4.3.2",
    "@types/koa-compose": "^3.2.5",
    "@types/koa-mount": "^4.0.0",
    "@types/koa-route": "^3.2.4",
    "@types/koa__router": "^8.0.7",
    "auth-header": "^1.0.0",
    "koa": "^2.13.1",
    "koa-bodyparser": "^4.3.0",
    "koa-compose": "^4.1.0",
    "koa-mount": "^4.0.0",
    "kryo": "^0.13.0",
    "kryo-json": "^0.13.0",
    "kryo-qs": "^0.13.0",
    "raw-body": "^2.4.1"
  },
  "devDependencies": {
    "@eternal-twin/announcement-pg": "workspace:*",
    "@eternal-twin/auth-pg": "workspace:*",
    "@eternal-twin/email-console": "workspace:*",
    "@eternal-twin/email-in-memory": "workspace:*",
    "@eternal-twin/email-template-etwin": "workspace:*",
    "@eternal-twin/email-template-json": "workspace:*",
    "@eternal-twin/etwin-client-in-memory": "workspace:*",
    "@eternal-twin/etwin-pg": "workspace:*",
    "@eternal-twin/forum-pg": "workspace:*",
    "@eternal-twin/local-config": "workspace:*",
    "@eternal-twin/native": "workspace:*",
    "@eternal-twin/oauth-provider-pg": "workspace:*",
    "@eternal-twin/pg-db": "workspace:*",
    "@eternal-twin/twinoid-client-http": "workspace:*",
    "@koa/cors": "^3.1.0",
    "@types/koa-logger": "^3.1.1",
    "@types/koa__cors": "^3.0.3",
    "@types/mocha": "^8.2.3",
    "@types/node": "^16.3.3",
    "chai": "^4.3.4",
    "chai-http": "^4.3.0",
    "eslint": "^7.31.0",
    "koa-logger": "^3.2.1",
    "mocha": "^9.0.2",
    "typescript": "^4.3.5"
  },
  "type": "module",
  "exports": {
    "./lib/*": "./lib/*.js"
  },
  "files": [
    "./lib/"
  ]
}
